Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.category
Class SubCategoryIterator

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.CatalogItemIterator
          com.beasys.commerce.ebusiness.catalog.service.category.SubCategoryIterator

All Implemented Interfaces
  ViewIterator, Serializable

Deprecated

    @Deprecated
    public class SubCategoryIterator

extends CatalogItemIterator

A `SubCategoryIterator` is a `ViewIterator` over the sub categories of a given parent `Category`.

See Also
  `View`, `ViewIterator`, `CatalogItemIterator`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItemIterator
`DEFAULT_VIEW_SIZE, VERBOSE`

Constructor Summary
`SubCategoryIterator(String manangerJndiName, CatalogRequest catalogRequest, CategoryKey key, int numItems, int viewSize)` Deprecated `SubCategoryIterator` constructor that takes the total number of spanned items, a view size, parent category key, and request object.

Method Summary
`protected CatalogItem` | `getCatalogItem(View view, int itemIndex)` Deprecated Returns a CatalogItem within the current view.
`protected void` | `refreshView(View view)` Deprecated This function is called whenever the current view needs to be refreshed.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItemIterator
`getCatalogManager, getCatalogQueryManager, getCatalogRequest, getCategoryManager, getCurrentView, getCustomDataManager, getProductItemManager, getViewAt, getViewCount, gotoNextView, gotoPreviousView, gotoViewAt, hasNext, hasNextView, hasPreviousView, next, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubCategoryIterator

    public SubCategoryIterator(String manangerJndiName,
                               CatalogRequest catalogRequest,
                               CategoryKey key,
                               int numItems,
                               int viewSize)

  Deprecated
  `SubCategoryIterator` constructor that takes the total number of spanned items, a view size, parent category key, and request object.

Method Detail

### refreshView

    protected void refreshView(View view)
                        throws RemoteException

  Deprecated
  This function is called whenever the current view needs to be refreshed. All classes that extend this class must implement this function.

  Specified by:
    `refreshView` in class `CatalogItemIterator`
  Parameters
    `view` - The view to refresh.
  Throws
    `RemoteException` - on remote error.

### getCatalogItem

    protected CatalogItem getCatalogItem(View view,
                                         int itemIndex)
                                  throws NoSuchElementException

  Deprecated
  Returns a CatalogItem within the current view. All classes that extend this class must implement this function.

  Specified by:
    `getCatalogItem` in class `CatalogItemIterator`
  Parameters
    `view` - The current view.
    `itemIndex` - The index of the item to retrieve.
  Throws
    `NoSuchElementException` - If the item does not exist.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.